* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}

:root {
    --accent: rgba(161, 4, 218, 1);
    --accent_hover: rgb(181, 8, 244);
    --black_main: rgba(26, 31, 46, 1);
    --black_main_hover: rgb(37, 44, 65);
    --gray_text: rgba(86, 86, 86, 1);
    --gray: rgba(133, 133, 133, 1);
    --gray_text_2: rgba(175, 184, 192, 1);
    --gray_main: rgba(184, 194, 203, 1);
    --bg_sec: rgba(248, 249, 252, 1);
    --font-primary: 'Inter Variable', 'Inter', system-ui, -apple-system, sans-serif;
    --font-display: 'Unbounded', 'Inter Variable', sans-serif;
}

body{
    font-family: var(--font-primary);
}


/* ================= HEADER ================= */

.header{
    width: 100%;
    height: 80px;
    background-color: #fff;
    position: relative;
}

.header_container{
    max-width: 360px;
    height: 100%;
    margin: 0 auto;
    padding: 0 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}

.header_logo{
    display: flex;
    align-items: center;
    height: 40px;
    
}

.header_logo img{
    height: 100%;
    width: auto;
    max-width: 100%;
    object-fit: contain;
}

.header_burger {
    width: 30px;
    height: 21px;
    position: relative;
    background: none;
    border: none;
    cursor: pointer;
    z-index: 1001;
}

.header_burger span{
    display: block;
    width: 100%;
    height: 3px;
    background-color: rgba(217, 217, 217, 1);
    position: absolute;
    left: 0;
    border-radius: 2px;
}

.header_burger span:nth-child(1){
    top: 0;
}
.header_burger span:nth-child(2){
    top: 9px;
}
.header_burger span:nth-child(3){
    top: 18px;
}

.header_nav{
    position: absolute;
    top: 80px;
    left: 0;
    width: 100%;
    background-color: var(--bg_sec);
    padding: 20px;
    transform: translateX(-200%);
    transition: transform 0.3s ease;
    z-index: 1000;
}

.header_nav.active{
    transform: translateX(0);
}

.header_menu{
    list-style: none;
    margin-bottom: 20px;
}

.header_menu li{
    margin-bottom: 15px;
}

.header_menu a{
    text-decoration: none;
    color: var(--gray);
    font-size: 16px;
    font-weight: 400;
    display: block;
    transition: color 0.3s;
}

.header_menu a:hover{
    color: var(--gray_text_2);
}

.header_contact-btn{
    display: inline-block;
    width: 130px;
    height: 45px;
    background-color: var(--black_main);
    color: #fff;
    text-decoration: none;
    text-align: center;
    line-height: 45px;
    border-radius: 15px;
    font-weight: 600;
    font-size: 16px;
    transition: 0.3s;
}

.header_contact-btn:hover{
    background-color: var(--black_main_hover);
    transform: scale(1.02);
}

/* ========== Медиа-запрос для header ========== */
@media (min-width: 1024px){
    .header_container{
        max-width: 1200px;
    }

    .header_burger{
        display: none;
    }

    .header_nav{
        position: static;
        transform: none;
        padding: 0;
        width: auto;
        display: flex;
        align-items: center;
        gap: 33px;
    }

    .header_menu{
        display: flex;
        margin-bottom: 0;
        gap: 33px;
    }

    .header_menu li{
        margin-bottom: 0;
    }

    .header_menu a{
        font-size: 15px;
    }

    .header_contact-btn{
        width: 130px;
        height: 45px;
        line-height: 45px;
        flex-shrink: 0;
    }
}





/* ================= HERO-SECTION ================= */

.hero{
    width: 100%;
    height: 650px;
    background-image: url('../img/hero.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    display: flex;
    align-items: center;
    color: #fff;
    overflow-wrap: break-word;
}

.hero_container{
    max-width: 360px;
    width: 100%;
    margin: 0 auto;
    padding: 0 20px;
    position: relative;
}

.hero_content{
    width: 100%;
}

.hero_title{
    font-family: var(--font-display);
    font-size: 36px;
    font-weight: 700;
    line-height: 1.2;
    margin-bottom: 10px;
    color: #fff;
}

.hero_subtitle{
    color: var(--accent);
    margin-bottom: 65px;
}

.hero_description{
    font-family: var(--font-primary);
    font-size: 18px;
    line-height: 1.5;
    margin-bottom: 37px;
    font-weight: 400;
    color: #fff;
}

.hero_buttons{
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
}

.hero_btn{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 270px;
    height: 60px;
    font-family: var(--font-primary);
    font-size: 18px;
    font-weight: 600;
    text-decoration: none;
    border-radius: 15px;
    transition: 0.3s ease;
    border: 2px solid transparent;
}

.hero_btn-first{
    background-color: var(--accent);
    color: #fff;
}

.hero_btn-first:hover{
    background-color: var(--accent_hover);
    transform: scale(1.02);
}

.hero_btn-second{
    color: var(--accent);
    border-color: var(--accent);
}

.hero_btn-second:hover{
    color: var(--accent_hover);
    border-color: var(--accent_hover);
    transform: scale(1.02);
}


/* ========== Медиа-запрос для HERO ========== */
@media (min-width: 1024px){
    .hero_container{
        max-width: 1200px;
    }

    .hero_content{
        max-width: 800px;
    }

    .hero_title{
        font-size: 56px;
        margin-bottom: 0px;
    }

    .hero_subtitle{
        font-size: 56px;
    }

    .hero_description{
        font-size: 20px;
        margin-bottom: 28px;
    }

    .hero_buttons{
        flex-direction: row;
        gap: 20px;
    }
}



/* ================= Проблемы & Решения ================= */

.features{
    width: 100%;
    padding: 60px 0;
    background-color: #fff;
}

.solutions{
    background-color: var(--bg_sec);
}

.features_container{
    max-width: 360px;
    margin: 0 auto;
    padding: 0 15px;
}

.features_title{
    font-family: var(--font-display);
    font-size: 24px;
    font-weight: 500;
    line-height: 1.2;
    text-align: left;
    margin-bottom: 40px;
    margin-left: 15px;
    color: var(--black_main);
}

.features_grid{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}

.feature-card{
    max-width: 155px;
    width: 100%;
    height: 230px;
    background-color: var(--bg_sec);
    border-radius: 20px;
    padding: 20px 11px 20px;
    transition: 0.3s ease;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.solution-card{
    border: 3px solid transparent;
    border-color: var(--accent);
    background-color: #fff;
}

.feature-card:hover{
    transform: translateY(-5px);
    box-shadow: 0 8px 25px rgba(0, 0, 0, 0.1);
}

.feature-card_icon{
    font-size: 50px;
    line-height: 1;
    margin-bottom: 12px;
}

.feature-card_title{
    font-family: var(--font-display);
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 5px;
    color: var(--black_main);
    word-break: break-word;
}

.feature-card_text{
    font-family: var(--font-primary);
    font-size: 16px;
    line-height: 1.2;
    color: var(--gray_text);
    max-width: 100%;
    overflow-wrap: break-word;
    word-break: break-word;
}

/* ========== Медиа-запрос для Проблемы & Решения  ========== */
@media (min-width: 1024px){
    .features_container{
        max-width: 1200px;
    }

    .features{
        padding: 80px 0;
    }

    .solutions{
        padding: 60px 0 100px 0;
    }

    .features_title{
        font-size: 36px;
        margin-bottom: 50px;
        text-align: center;
        margin-left: 0px;
    }

    .features_grid{
        grid-template-columns: repeat(4, 1fr);
        gap: 32px;
    }

    .feature-card{
        min-width: 271px;
        height: 263px;
        padding: 35px 20px 35px;
    }

    .feature-card_icon{
        font-size: 50px;
        margin-bottom: 35px;
    }

    .feature-card_title{
        font-size: 20px;
        margin-bottom: 15px;
    }

    .feature-card_text{
        font-size: 18px;
        line-height: 1.2;
    }
}



/* ================= Этапы внедрения ================= */

.process_container{
    max-width: 360px;
    margin: 0 auto;
    padding: 30px 20px;
}

.process{
    padding: 60px 0;
    background-color: #fff;
}

.process_title{
    font-family: var(--font-display);
    font-size: 24px;
    font-weight: 500;
    color: var(--black_main);
    text-align: left;
    margin-bottom: 35px;
    line-height: 1.2;
}

.process_grid{
    display: flex;
    flex-direction: column;
    gap: 35px;
    max-width: 400px;
    margin: 0 auto;
}

.process_item{
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.process_icon{
    width: 55px;
    height: 55px;
    background-color: var(--accent);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 18px;
}

.process_number{
    font-family: var(--font-primary);
    font-size: 32px;
    font-weight: 700;
    color: #fff;
    line-height: 1;
}

.process_content{
    max-width: 280px;
}

.process_item-title{
    font-family: var(--font-display);
    font-size: 18px;
    font-weight: 500;
    color: var(--black_main);
    margin-bottom: 11px;
}

.process_text{
    max-width: 230px;
    font-size: 16px;
    line-height: 1.2;
    color: var(--gray_text);
}


/* ===== Медиа-запрос для Этапов внедрения ===== */
@media (min-width: 1024px){
    .process_container{
        max-width: 100%;
    }
    
    .process{
        padding: 60px 0 90px 0;
    }
    
    .process_title{
        font-size: 36px;
        margin-bottom: 72px;
        text-align: center;
        max-width: 100%;
    }

    .process_grid{
        flex-direction: row;
        justify-content: center;
        gap: 71px;
        max-width: 100%;
    }

    .process_item{
        flex: 1;
        max-width: 232px;
    }

    .process_icon{
        margin-bottom: 37px;
    }

    .process_number{
        font-size: 40px;
    }

    .process_item-title{
        font-size: 20px;
        margin-bottom: 12px;
    }

    .process_text{
        font-size: 18px;
    }
}




/* ================= Калькулятор услуг ================= */

.calculator{
    padding: 60px 30px;
    background-color: var(--bg_sec);
}

.calculator_title{
    font-family: var(--font-display);
    font-size: 24px;
    font-weight: 500;
    color: var(--black_main);
    text-align: left;
    margin-bottom: 40px;
    line-height: 1.2;
}

.calculator_services{
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-bottom: 25px;
}

.service{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding: 15px;
    background-color: #fff;
    border-radius: 12px;
    cursor: pointer;
    transition: 0.2s ease;
    border: 2px solid transparent;
}

.service_checkbox{
    width: 30px;
    height: 30px;
    margin-right: 20px;
    accent-color: var(--accent);
    cursor: pointer;
}

.service_name{
    flex: 1;
    font-size: 18px;
    font-weight: 400;
    color: var(--black_main);
    transition: 0.2s ease;
    margin-right: 15px;
}

.service_price{
    font-family: var(--font-primary);
    font-size: 20px;
    font-weight: 600;
    width: 100%;
    margin-top: 16px;
    padding: 10px 15px;
    background-color: var(--bg_sec);
    border-radius: 5px;
    color: var(--black_main);
    text-align: center;
    white-space: nowrap;
    transition: 0.2s ease;
}

.service.service--checked .service_name{
    color: var(--accent);
}

.service.service--checked .service_price{
    background-color: var(--accent);
    color: #fff;
}

.calculator_total{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background-color: #fff;
    border-radius: 5px;
    max-width: 400px;
    margin: 0 auto;
    max-height: 60px;
}

.total_label{
    font-size: 18px;
    font-weight: 600;
    color: var(--gray_text_2);
}

.total_price{
    font-size: 20px;
    font-weight: 600;
    color: var(--accent);
    padding: 10px 20px;
    border-radius: 8px;
}

/* ===== Медиа-запрос для Калькулятора услуг ===== */
@media (min-width: 1024px){
    .calculator{
        padding: 100px 0;
    }

    .calculator_title{
        font-size: 36px;
        margin-bottom: 60px;
        text-align: center;
    }

    .calculator_services{
        max-width: 800px;
        margin: 0 auto 50px;
    }

    .service{
        flex-wrap: nowrap;
        align-items: center;
        padding: 0;
        background-color: transparent;
        border-bottom: 1px solid var(--gray_main);
        border-radius: 0;
        padding: 20px 0;
    }

    .service_checkbox{
        margin-right: 20px;
    }

    .service_name{
        font-size: 18px;
        margin-right: 20px;
        color: var(--black_main);
    }

    .service.service--checked .service_name{
        color: var(--accent);
    }

    .service_price{
        width: auto;
        margin-top: 0;
        padding: 8px 20px;
        background-color: var(--bg_sec);
        border-radius: 30px;
        font-size: 18px;
        text-align: right;
        min-width: 140px;
    }

    .calculator_total{
        max-width: 800px;
        padding: 25px 30px ;
    }

    .total_label{
        font-size: 24px;
    }

    .total_price{
        font-size: 32px;
        padding: 12px 30px;
    }
}


/* ========== Кейсы ========== */

.cases{
    max-width: 1200px;
    margin: 0 auto;
    padding: 60px 20px;
    background-color: #fff;
}

.cases_title{
    font-family: var(--font-display);
    font-size: 24px;
    font-weight: 600;
    color: var(--black_main);
    text-align: left;
    margin-bottom: 50px;
}

.cases_grid{
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.case{
    background-color: var(--bg_sec);
    border-radius: 20px;
    padding: 30px 20px;
    transition: 0.3s ease;
}

.case_content{
    display: flex;
    flex-direction: column;
}

.case_name{
    font-size: 16px;
    font-weight: 600;
    color: var(--accent);
    margin-bottom: 11px;
}

.case_description{
    font-family: var(--font-display);
    font-size: 20px;
    font-weight: 500;
    color: var(--black_main);
    margin-bottom: 11px;
}

.case_result{
    font-size: 16px;
    font-weight: 400;
    color: var(--gray_text);
    margin-bottom: 25px;
}

.case_percent{
    font-size: 24px;
    font-weight: 500;
    color: var(--accent);
}

.case_stats{
    font-size: 16px;
    font-weight: 400;
    color: var(--gray_text);
}

.case:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 25px rgba(0, 0, 0, 0.1);
}

/* ===== Медиа-запрос для Кейсов ===== */
@media (min-width: 1024px){
    .cases{
        padding: 100px 0;
    }

    .cases_title{
        font-size: 36px;
        margin-bottom: 60px;
        text-align: center;
    }

    .cases_grid{
        flex-direction: row;
        gap: 30px;
    }

    .case{
        flex: 1;
        padding: 40px 30px;
    }

    .case_description{
        font-size: 16px;
        font-weight: 400;
    }

    .case_stats{
        flex-direction: row;
        align-items: baseline;
        gap: 10px;
    }

    .case_percent{
        font-size: 32px;
    }

    .case_stats-text{
        font-size: 18px;
    }
}



/* ========== Форма заявки ========== */

.container{
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
    height: 100%;
}

.form-section{
    position: relative;
    height: 857px;
    display: flex;
    align-items: center;
    color: #fff;
    overflow: hidden;
}

.form-section_background{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -2;
}

.form-section_background img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.form-section_wrapper{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.form-card{
    background: rgba(0, 0, 0, 0.42);
    backdrop-filter: blur(2px);
    border-radius: 20px;
    padding: 35px 22px;
    width: 320px;
    height: 616px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.form-card_title{
    font-family: var(--font-display);
    font-size: 24px;
    font-weight: 500;
    color: #fff;
    margin-bottom: 25px;
    line-height: 1.3;
    text-align: center;
}

.form-card_subtitle{
    font-size: 16px;
    font-weight: 400;
    color: #fff;
    margin-bottom: 24px;
    text-align: center;
}

.form{
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-bottom: 30px;
}

.form_group{
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.form_label{
    font-size: 16px;
    font-weight: 500;
    color: #fff;
}

.form_input{
    width: 275px;
    height: 45px;
    padding: 0 10px;
    border: 1px solid var(--gray_main);
    border-radius: 8px;
    background-color: rgba(0, 0, 0, 0.0);
    color: #fff;
    font-size: 16px;
    transition: 0.3s ease;
}

.form_input::placeholder{
    color: var(--gray_text_2);
}

.form_input:focus{
    outline: none;
    border: 2px solid var(--accent);
    background: rgba(0, 0, 0, 0.0);
}

.form_button{
    width: 275px;
    height: 55px;
    background: var(--accent);
    color: #fff;
    border: none;
    border-radius: 20px;
    font-size: 18px;
    font-weight: 600;
    cursor: pointer;
    transition: 0.3s ease;
    margin-top: 10px;
}

.form_button:hover{
    background: var(--accent_hover);
    transform: scale(1.02);
}

.form-card_stats{
    font-size: 14px;
    color:rgba(255, 255, 255, 0.8);
    text-align: center;
    width: 100%;
}


/* ===== Медиа-запрос для Формы ===== */
@media (min-width: 1024px){
    .form-card{
        width: 580px;
        height: 616px;
        padding: 50px 60px;
    }

    .form-card_title{
        font-size: 32px;
        margin-bottom: 15px;
    }

    .form-card_subtitle{
        font-size: 18px;
        margin-bottom: 40px;
    }

    .form_input{
        width: 500px;
    }

    .form_label{
        font-size: 16px;
    }

    .form_button{
        height: 55px;
        width: 500px;
        font-size: 18px;
    }

    .form-card_stats{
        font-size: 16px;
    }
}





/* ========== Футер ========== */

.footer{
    background-color: var(--accent);
    color: #fff;
    width: 100%;
    height: 320px;
    display: flex;
    align-items: center;
}

.footer .container{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    width: 100%;
}

.footer_logo{
    margin-bottom: 30px;
    order: 1;
}

.footer_logo-img{
    height: 45px;
    object-fit: contain;
}

.footer_contacts{
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-bottom: 30px;
    order: 2;
}

.footer_contact-item{
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.footer_contact-label{
    font-size: 16px;
    font-weight: 400;
    color: rgba(224, 224, 224, 1);
}

.footer_contact-value{
    font-size: 16px;
    color: #fff;
    text-decoration: none;
}

.footer_copyright-mobile{
    font-size: 14px;
    color: var(--gray_text_2);
    order: 3;
}

.footer_copyright{
    display: none;
}

.footer_center{
    display: contents;
}


/* ===== Медиа-запрос для Футера ===== */
@media (min-width: 1024px){
    .footer{
        height: 208px;
    }

    .footer .container{
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .footer_contacts{
        flex-direction: column;
        gap: 20px;
        margin-bottom: 0;
        order: 1;
        align-items: flex-start;
        width: 33.333%;
    }

    .footer_contact-item{
        align-items: flex-start;
        text-align: left;
    }

    .footer_contact-label{
        font-size: 16px;
    }

    .footer_contact-value{
        font-size: 18px;
    }

    .footer_center{
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
        order: 2;
        width: 33.333%;
    }

    .footer_logo{
        margin-bottom: 0;
        order: 0;
    }

    .footer_copyright{
        display: block;
        font-size: 16px;
        color: var(--gray_text_2);
        text-align: center;
        white-space: nowrap;
    }

    .footer_copyright-mobile{
        display: none;
    }
}